Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.ax25
Enum AX25Message.Precedence

    java.lang.Object
      java.lang.Enum<AX25Message.Precedence>
          org.ka2ddo.ax25.AX25Message.Precedence

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AX25Message.Precedence>

Enclosing class:
  AX25Message

    public static enum AX25Message.Precedence

extends java.lang.Enum<AX25Message.Precedence>

This enum defines the allowed traffic precedence levels for messages.

Enum Constant Summary
`EMERGENCY` Top-priority traffic preempting all other traffic, regarding life and safety issues.
`PRIORITY` Time-sensitive traffic needing preferred handling.
`ROUTINE` Normal traffic with no preferential handling.
`SPECIAL` Station with reason to be specially monitored.
`WELFARE` Health and welfare traffic.

Method Summary
`static AX25Message.Precedence` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AX25Message.Precedence[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROUTINE

    public static final AX25Message.Precedence ROUTINE

  Normal traffic with no preferential handling.

### WELFARE

    public static final AX25Message.Precedence WELFARE

  Health and welfare traffic. Not currently implemented in APRS, but reserved for future expansion.

### SPECIAL

    public static final AX25Message.Precedence SPECIAL

  Station with reason to be specially monitored.

### PRIORITY

    public static final AX25Message.Precedence PRIORITY

  Time-sensitive traffic needing preferred handling.

### EMERGENCY

    public static final AX25Message.Precedence EMERGENCY

  Top-priority traffic preempting all other traffic, regarding life and safety issues.

Method Detail

### values

    public static AX25Message.Precedence[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AX25Message.Precedence c : AX25Message.Precedence.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AX25Message.Precedence valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD